Package fr.gouv.vitam.common.model.preservation

# Class OtherMetadata

java.lang.Object
java.util.AbstractMap<String,List<Object>>
java.util.HashMap<String,List<Object>>
java.util.LinkedHashMap<String,List<Object>>
fr.gouv.vitam.common.model.preservation.OtherMetadata

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,List<Object>>`, `SequencedMap<String,List<Object>>`

public class OtherMetadata extends LinkedHashMap<String,List<Object>>
OtherMetadata

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OtherMetadata()`
  `OtherMetadata(Map<? extends String,?> m)`

- ## Method Summary

  ### Methods inherited from class java.util.LinkedHashMap

  `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, newLinkedHashMap, putFirst, putLast, removeEldestEntry, replaceAll, reversed, sequencedEntrySet, sequencedKeySet, sequencedValues, values`

  ### Methods inherited from class java.util.HashMap

  `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

  ### Methods inherited from interface java.util.SequencedMap

  `firstEntry, lastEntry, pollFirstEntry, pollLastEntry`

- ## Constructor Details

  - ### OtherMetadata

    public OtherMetadata()

  - ### OtherMetadata

    public OtherMetadata(Map<? extends String,?> m)